/*
Theme Name:Child Theme for Divi
Theme URI: http://wordpress-style.net
Description: Child Theme For Divi
Author: Eduard Ungureanu
Author URI: http://wordpress-style.net
Template: Divi
Version: 1.0
*/

/* Start your custom CSS bellow this comment
============================================ */

/* 更改網站字型 */

/* 
@import url(https://fonts.googleapis.com/earlyaccess/notosanstc.css);
font-family: Calibri,'Noto Sans TC', sans-serif !important;
*/

h1,
h2,
h3,
h4,
h5,
h6,
b,
p,
alt,
body,
a,
li,
lable,
td,
tr,
input,
button,
option,
learn-more-content,
woocommerce-variation-description,
et_pb_slide_title,
div.learn-more-content,
.summary .pwb-single-product-brands a {
  font-family: Calibri, Microsoft JhengHei, sans-serif !important;
  font-weight: 400 !important;
}

/* 品牌頁 上方品牌說明 欄框邊間距 增加文字 */

div.et_pb_slide.et_pb_slide_with_image.et_pb_bg_layout_light.et_pb_media_alignment_center.et_pb_slide_0.et-pb-active-slide {
  padding: 0%;
}

/* 商品下方內文 欄框邊間距 可增加文字 */

div#tab-description.woocommerce-Tabs-panel.woocommerce-Tabs-panel--description.panel.entry-content.wc-tab,
div#tab-common_tab.woocommerce-Tabs-panel.woocommerce-Tabs-panel--common_tab.panel.entry-content.wc-tab,
div#tab-reviews.woocommerce-Tabs-panel.woocommerce-Tabs-panel--reviews.panel.entry-content.wc-tab {
  padding-top: 18px;
  padding-left: 12px;
  padding-right: 8px;
}

/* 部落格內文文字對齊 品牌頁敘述內文文字對齊 */

.et_pb_text_inner .et_pb_slide_content {
  text-align: justify;
}

/* 商品頁 商品標題名稱間距  */

h1.product_title.entry-title {
  line-height: 1.31;
  padding-bottom: 0px !important;
}

/* 商品頁 商品敘述間距  */

div.woocommerce-product-details__short-description {
  padding-top: 14px;
  padding-bottom: 14px;
  line-height: 1.2em;
}

/* 網頁最上面所有類別的間距 */

.nav li li {
  line-height: 1.6em;
}

/* 商品下方 相關商品 字型大小 */

.product .related h2 {
  font-size: 1em !important;
}

/* 商品圖庫 上方增加間距 */

.woocommerce div.product div.images .flex-control-thumbs {
  margin-top: 6.6666%;
}

/* 商品圖庫 大小調整 右邊底下間距*/

.woocommerce div.product div.images .flex-control-thumbs li {
  width: 20%;
  margin-right: 6.6666%;
  margin-bottom: 6.6666%;
}

/* 改部落格上下頁方向 */

.alignright {
  float: left !important;
}

.alignleft {
  float: right !important;
}

/* 改部落格手機板各文章間距 */

.et_pb_gutters1 .et_pb_column .et_pb_blog_grid .column.size-1of1 .et_pb_post,
.et_pb_gutters1 .et_pb_column .et_pb_widget {
  margin-bottom: 12% !important;
}

/* 取消 aspen footer editor 編輯顯示 */

#footer-editor-info {
  text-align: center !important;
}

#footer-info {
  width: 100% !important;
}

#top-header {
  display: none;
}

@media only screen and (min-width: 768px) {
  #footer-widgets {
    margin-bottom: 30px;
    margin-right: -30px;
    padding-top: 40px;
  }
  .footer-widget {
    margin: 0px !important;
    margin-right: 15px !important;
  }
  .footer-widget:first-child {
    padding-right: 60px;
    border-right: 1px solid #666666;
  }
  .footer-widget:last-child {
    padding-left: 30px;
  }
  #mc4wp-form-1 {
    margin: 0px !important;
  }
  #custom_html-10 {
    float: right;
    width: 60%;
  }
  .footer-ctm-nav > div > span > a {
    color: #666666 !important;
    margin: 0 15px;
  }
  /* footer nav 字體大小、顏色調整 */
  .footer-ctm-nav {
    font-size: 16px;
    color: #666;
    padding-top: 28px;
  }
  #footer-copyright-text {
    font-size: 10px;
    color: #808080;
  }
  #top-menu > li > a {
    font-size: 16px !important;
    color: #000000;
  }
  .sub-menu > li > a {
    font-size: 16px !important;
    color: #000000;
  }
  #footer-email-register-button {
    width: 100%;
    font-size: 16px;
    background-color: #666666 !important;
    border: none;
  }
}

@media only screen and (max-width: 767px) {
  #custom_html-10 {
    float: right;
    width: 100%;
  }
  #custom_html-3 {
    width: 100%;
  }
  .footer-ctm-nav > div > span > a {
    color: #666666 !important;
    margin: 0 8px;
  }
  .footer-ctm-nav > div:first-child {
    display: table;
    margin: 0 auto;
  }
  #footer-widgets {
    padding-top: 18px;
    padding-bottom: 18px;
  }
  #footer-widgets .footer-widget:nth-child(n),
  .footer-widget .fwidget {
    margin-bottom: 17px !important;
  }
  #footer-copyright-text {
    display: none;
  }
  #footer-bottom {
    padding-top: 8px;
  }
  /* footer nav 字體大小、顏色調整 */
  .footer-ctm-nav {
    font-size: 14px;
    color: #666;
  }
  #footer-copyright-text {
    font-size: 9px;
    color: #808080;
  }
  #top-menu > li > a {
    font-size: 14px !important;
    color: #000000;
  }
  .sub-menu > li > a {
    font-size: 14px !important;
    color: #000000;
  }
  #footer-email-register-button {
    width: 100%;
    font-size: 14px;
    background-color: #666666 !important;
    border: none;
  }
}

.et_mobile_menu .menu-item-has-children > a {
  background: none !important;
}

/*header-slogan*/

.inno-custom-header > .header-slogan {
  background: linear-gradient(to right, #fff, #bdbdbd);
  display: flex;
  justify-content: center;
  padding: 5px 0;
}

.inno-custom-header > .header-slogan a {
  color: #000000;
  padding: 0px 5px;
  font-size: 12px;
  display: flex;
  align-content: center;
  justify-content: center;
  position: relative;
  -webkit-text-size-adjust: none;
}

.inno-custom-header > .header-slogan a::after {
  content: "|";
  color: #2d2d2d;
  position: absolute;
  right: 0;
}

.inno-custom-header > .header-slogan a:nth-child(1) {
  padding-left: 0;
}

.inno-custom-header > .header-slogan a:nth-last-child(1) {
  padding-right: 0;
}

.inno-custom-header > .header-slogan a:nth-last-child(1)::after {
  content: " ";
  display: none;
}

.home-bottom-ribbon p {
  background-color: #f2f2f2 !important;
  font-size: 10px;
  padding-top: 3px;
}

.home-bottom-ribbon p bold {
  font-weight: 600 !important;
}

.et_pb_blog_grid h2.entry-title {
  font-size: 18px !important;
}

@media only screen and (min-width: 552px) {
  .inno-custom-header > .header-slogan a {
    font-size: 14px;
    padding: 0px 20px;
  }
}

@media only screen and (min-width: 768px) {
  .inno-custom-header > .header-slogan a {
    font-size: 16px;
    letter-spacing: 4px;
    padding: 0px 20px;
  }

  .home-bottom-ribbon p {
    font-size: 12px;
  }
}

@media only screen and (min-width: 992px) {
  .inno-custom-header > .header-slogan a {
    padding: 5px 52px;
    font-size: 18px;
  }

  .home-bottom-ribbon p {
    font-size: 16px;
    padding: 5px;
  }
}

@media only screen and (min-width: 600px) {
  body.search.search-results #left-area.search-result article {
    width: 23%;
  }
}

.search-result .entry-title {
  text-align: center;
  padding-top: 10px;
}

h1.cw-jeelas-extend_horizontal-split {
  padding-bottom: 30px;
}

.et_pb_slider .et_pb_container {
  width: 80%;
  max-width: 1080px;
}

.summary .pwb-single-product-brands a {
  font-size: 26px;
  line-height: 1.31;
  padding-bottom: 0px !important;
  color: #848378;
}

.fancybox-container {
  z-index: 999999 !important;
}

@media screen and (max-width: 600px) {
  .woocommerce-page ul#woorelatedproducts.products li.product:nth-child(n) {
    margin: 0 9.5% 9.5% !important;
    padding-right: 17.8%;
    width: 100% !important;
  }
}

@media screen and (min-width: 601px) and (max-width: 998px) {
  .woocommerce-page ul#woorelatedproducts.products li.product:nth-child(n) {
    margin: 0 9.5% 9.5% 0 !important;
    width: 100% !important;
  }
}

.woo-related-products-container .wprr.btn.next {
  right: -22px;
  text-align: right;
}

.woocommerce ul#woorelatedproducts.products li.product .pwb-brands-in-loop a,
.woocommerce ul#woorelatedproducts.products li.product .woocommerce-loop-product__title {
  font-size: 18px;

  display: block;
}

@media screen and (min-width: 981px) {
  a.wprr.btn.prev,
  a.wprr.btn.next {
    display: block !important;
  }
}

@media screen and (max-width: 576px) {
  .single-product.woocommerce .woocommerce-message {
    display: flex;
    flex-direction: column-reverse;
  }
  .single-product.woocommerce .woocommerce-message a.button.wc-forward {
    margin-top: 5px;
    text-align: center;
  }
}
@media screen and (max-width: 479px) {
  .woocommerce-page table.cart td.actions .coupon .input-text + .button {
    width: 100%;
    padding: 12px 6px;
  }
  .woocommerce-cart table.cart td.actions .coupon .input-text {
    text-align: center;
  }

  .woocommerce-cart table.cart td.actions .coupon {
    margin-bottom: 0px !important;
  }
}

@media screen and (min-width: 981px) {
  .woocommerce-checkout h3#order_review_heading {
    margin-top: 30px;
  }
}

#order_comments_field .optional {
  display: none;
}

@media screen and (max-width: 768px) {
  .woocommerce-cart .cart-collaterals .cart_totals tr:nth-child(2) th {
    display: block;
    background-color: rgba(0, 0, 0, 0.025);
    width: 100%;
    color: #848378;
  }
  .woocommerce-cart .cart-collaterals .cart_totals tr:nth-child(2) th:after {
    content: ":";
    color: #848378;
  }
  .woocommerce-cart .cart-collaterals .cart_totals tr:nth-child(2) td {
    text-align: left !important;
    border-top: 0px;
  }
  .woocommerce-cart .cart-collaterals .cart_totals tr:nth-child(2) td:before {
    display: none;
  }
}
.woocommerce ul#shipping_method li input {
  margin-top: 0px;
  vertical-align: middle;
}

@media screen and (max-width: 980px) {
  .woocommerce-checkout #order_review_heading,
  .woocommerce-checkout .woocommerce-billing-fields h3,
  .woocommerce-checkout .woocommerce-shipping-fields #ship-to-different-address {
    color: #555;
    font-weight: 700 !important;
    font-size: 100%;
  }
}

/* single product page > product detail intro */
@media screen and (max-width: 767px) {
  .single-product #main-content .container {
    width: 100%;
  }
  .single-product #main-content .container #content-area #left-area .woocommerce-notices-wrapper,
  .single-product #main-content .container #content-area #left-area .product .woocommerce-product-gallery,
  .single-product #main-content .container #content-area #left-area .product .summary,
  .single-product #main-content .container #content-area #left-area .woo-related-products-container {
    width: 80%;
    margin: auto;
  }
  .single-product #main-content .container #content-area #left-area .product .summary {
    margin-bottom: 2em;
  }
  .single-product #main-content .container #content-area #left-area .product .woocommerce-tabs.wc-tabs-wrapper {
    width: 90%;
    margin: 30px auto 45px;
    border: 0;
  }
  .et_pb_pagebuilder_layout.single.single-post.et_full_width_page #page-container .et_pb_row,
  .single.single-post.et_pb_pagebuilder_layout.et_full_width_page .et_post_meta_wrapper,
  .et_pb_row {
    width: 90%;
  }

  .single-product
    #main-content
    .container
    #content-area
    #left-area
    .product
    .woocommerce-tabs.wc-tabs-wrapper
    ul.tabs.wc-tabs
    li
    a {
    padding: 10px 22px 10px 15px !important;
  }
  .single-product
    #main-content
    .container
    #content-area
    #left-area
    .product
    .woocommerce-tabs.wc-tabs-wrapper
    ul.tabs.wc-tabs
    li {
    background: white !important;
  }
}

.woocommerce-error a.button.wc-forward {
  background: #ffffff;
  border-radius: 5px;
  border: none;
}

.woocommerce-account .woocommerce-MyAccount-content form .woocommerce-address-fields .form-row-first {
  clear: left;
}

.woocommerce-account .woocommerce-MyAccount-content form .woocommerce-address-fields button.button {
  margin-top: 15px;
  float: left;
  clear: left;
}

/*brand-list*/

.first-letter-list {
  display: flex;
  flex-wrap: wrap;
  margin-left: -14px;
  margin-right: -14px;
}
.first-letter-list .first-letter-item {
  font-weight: bold !important;
  color: #000;
  font-size: 18px;
  padding: 2.5px 14px;
}

.first-letter-list a.first-letter-item:hover {
  text-decoration: underline;
}

.brand-list {
  margin-top: 30px;
  padding-top: 30px;
  border-top: 1px solid rgba(0, 0, 0, 0.0625);
}

.brand-list ul.brand-items {
  padding: 0 !important;
  display: block;
  column-count: 1;
  column-gap: 24px;
}

.brand-list:nth-last-child(1) {
  margin-bottom: 60px;
}
.brand-list ul.brand-items li {
  list-style-type: none;
}
.brand-list ul.brand-items li a {
  color: #848378;
  font-size: 14px;
}
.brand-list .first-letter {
  font-weight: bold;
  color: #000;
  font-size: 24px;
  margin-bottom: 15px;
}

.brand-list ul.brand-items li a:hover {
  text-decoration: underline;
}
@media screen and (min-width: 768px) {
  .brand-list {
    display: flex;
    flex-wrap: wrap;
  }
  .brand-list .first-letter {
    flex: 0 0 10%;
    max-width: 10%;
    text-align: center;
  }
  .brand-list ul.brand-items {
    flex: 0 0 90%;
    max-width: 90%;
    column-count: 3;
  }
}

@media screen and (min-width: 992px) {
  .brand-list ul.brand-items {
    column-count: 4;
  }
}

/* Style for WooCommerce Brand */
.woocommerce ul.products li.product span.brand {
  color: #333333;
  font-weight: 500;
}
.et_pb_shop_0.et_pb_shop .woocommerce ul.products li.product h2 {
  font-size: inherit !important;
}
.et_pb_text_0 {
  border: 0;
}

.woocommerce div.product div.summary .single-product-brands a {
  font-size: 26px;
  line-height: 1.31;
  padding-bottom: 0px !important;
  color: #848378;
}

/*remove recently article pagination button*/
@media screen and (min-width: 981px) {
  .single-post .et_pb_blog_grid .et_pb_ajax_pagination_container .pagination a {
    display: none;
  }
}

.et_pb_slider .et_pb_slide {
  background-color: transparent !important;
}


.woocommerce-checkout .select2{
    padding-bottom: 25px;
}